Bug 273959 - "clear scrollback and reset" sets konsole's encoding to UTF-8
Summary: "clear scrollback and reset" sets konsole's encoding to UTF-8
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: 2.6.2
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-23 13:20 UTC by g111
Modified: 2011-08-25 14:03 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description g111 2011-05-23 13:20:54 UTC
Version:           2.6.2 (using KDE 4.6.3) 
OS:                Linux

My system uses UTF-8 as locale. In some konsole profiles I switched the encoding to western europe iso-8859-15. If I open such a konsole profile and choose "clear scrollback and reset" (via Strg+Shift+x) the konsole session is set to UTF-8. But it should stick to the encoding that is configured in the current konsole profile.

Reproducible: Didn't try

Steps to Reproduce:
Maybe it is important to run konsole on a UTF-8 system. But this should be the default today. Configure a konsole profile to use another encoding than UTF-8. Open a konsole window using this profile. Choose "clear scrollback and reset" from the "View" menu or press Strg+Shift+x.

Actual Results:  
The encoding is set to UTF-8.

Expected Results:  
The encoding should stick to the one that you have configured in the profile.

Maybe this is related to bug #123866.
Comment 1 g111 2011-05-23 13:21:30 UTC
Oh, "Reproducible" is "always".
Comment 2 Kurt Hindenburg 2011-06-25 04:31:39 UTC
Git commit 27182ebbadb8bcf406cba74be1888125e54fe63f by Kurt Hindenburg.
Committed on 25/06/2011 at 06:26.
Pushed by hindenburg into branch 'master'.

Restore codec to profile setting or previous codec upon reset.

Previously, after typing in 'reset' or using 'Clear Scrollback & Reset',
the current codec is lost.

With this patch, typing in 'reset' will cause the codec to stay what
it was before the reset.  Using the 'Clear Scrollback & Reset' will
cause the codec to be set to the Profile setting.

This may get backported to 4.6.x
BUG: 123866
BUG: 273959
FIXED-IN: 4.7
REVIEW: 101565

M  +4    -0    src/SessionController.cpp     
M  +9    -1    src/Vt102Emulation.cpp     

http://commits.kde.org/konsole/27182ebbadb8bcf406cba74be1888125e54fe63f
Comment 3 g111 2011-06-25 09:42:43 UTC
Great! Thank you, Kurt. I am looking forward to the new konsole version.
Comment 4 Kurt Hindenburg 2011-08-25 14:03:55 UTC
Git commit 4c4b686a30a849af450cce7d140c8eafbf467627 by Kurt Hindenburg.
Committed on 25/06/2011 at 06:26.
Pushed by hindenburg into branch 'KDE/4.7'.

Restore codec to profile setting or previous codec upon reset.

Previously, after typing in 'reset' or using 'Clear Scrollback & Reset',
the current codec is lost.

With this patch, typing in 'reset' will cause the codec to stay what
it was before the reset.  Using the 'Clear Scrollback & Reset' will
cause the codec to be set to the Profile setting.

This may get backported to 4.6.x
BUG: 123866
BUG: 273959
FIXED-IN: 4.7
REVIEW: 101565
(cherry picked from commit 27182ebbadb8bcf406cba74be1888125e54fe63f)

M  +9    -1    src/Vt102Emulation.cpp
M  +4    -0    src/SessionController.cpp

http://commits.kde.org/konsole/4c4b686a30a849af450cce7d140c8eafbf467627